Solvedangular cli [v8.0] BrowserslistError: Unknown browser kaios

🐞 Bug report

Command (mark with an x)

- [ ] new
- [x] build
- [ ] serve
- [ ] test
- [ ] e2e
- [ ] generate
- [ ] add
- [x] update
- [ ] lint
- [ ] xi18n
- [ ] run
- [ ] config
- [ ] help
- [ ] version
- [ ] doc

Is this a regression?

Yes, the previous version in which this bug was not present was: ....

Description

A clear and concise description of the problem...

After ng update @angular/cli from Anguar CLI v7.3.6, ng build command throws such error.

πŸ”¬ Minimal Reproduction

I didn't get a repro yet. In my situation, the project has some caniuse-related dependencies;

  • "@storybook/angular": "5.0.11",
  • "stylelint": "10.0.1",

Diff of yarn.lock is here;

Before

caniuse-lite@^1.0.30000929, caniuse-lite@^1.0.30000947, caniuse-lite@^1.0.30000955:
  version "1.0.30000955"
  resolved "https://registry.yarnpkg.com/caniuse-lite/-/caniuse-lite-1.0.30000955.tgz#360fdb9a1e41d6dd996130411334e44a39e4446d"
  integrity sha512-6AwmIKgqCYfDWWadRkAuZSHMQP4Mmy96xAXEdRBlN/luQhlRYOKgwOlZ9plpCOsVbBuqbTmGqDK3JUM/nlr8CA==

caniuse-lite@^1.0.30000957, caniuse-lite@^1.0.30000960:
  version "1.0.30000962"
  resolved "https://registry.yarnpkg.com/caniuse-lite/-/caniuse-lite-1.0.30000962.tgz#6c10c3ab304b89bea905e66adf98c0905088ee44"
  integrity sha512-WXYsW38HK+6eaj5IZR16Rn91TGhU3OhbwjKZvJ4HN/XBIABLKfbij9Mnd3pM0VEwZSlltWjoWg3I8FQ0DGgNOA==

After ng update

caniuse-lite@^1.0.0:
  version "1.0.30000971"
  resolved "https://registry.yarnpkg.com/caniuse-lite/-/caniuse-lite-1.0.30000971.tgz#d1000e4546486a6977756547352bc96a4cfd2b13"
  integrity sha512-TQFYFhRS0O5rdsmSbF1Wn+16latXYsQJat66f7S7lizXW1PVpWJeZw9wqqVLIjuxDRz7s7xRUj13QCfd8hKn6g==

caniuse-lite@^1.0.30000929, caniuse-lite@^1.0.30000947, caniuse-lite@^1.0.30000955:
  version "1.0.30000955"
  resolved "https://registry.yarnpkg.com/caniuse-lite/-/caniuse-lite-1.0.30000955.tgz#360fdb9a1e41d6dd996130411334e44a39e4446d"
  integrity sha512-6AwmIKgqCYfDWWadRkAuZSHMQP4Mmy96xAXEdRBlN/luQhlRYOKgwOlZ9plpCOsVbBuqbTmGqDK3JUM/nlr8CA==

caniuse-lite@^1.0.30000957, caniuse-lite@^1.0.30000960:
  version "1.0.30000962"
  resolved "https://registry.yarnpkg.com/caniuse-lite/-/caniuse-lite-1.0.30000962.tgz#6c10c3ab304b89bea905e66adf98c0905088ee44"
  integrity sha512-WXYsW38HK+6eaj5IZR16Rn91TGhU3OhbwjKZvJ4HN/XBIABLKfbij9Mnd3pM0VEwZSlltWjoWg3I8FQ0DGgNOA==

πŸ”₯ Exception or Error

$ ng build 
Unknown browser kaios
BrowserslistError: Unknown browser kaios
    at checkName (/Users/laco/Works/xxxxxx/node_modules/browserslist/index.js:171:20)
    at Function.select (/Users/laco/Works/xxxxxx/node_modules/browserslist/index.js:881:18)
    at /Users/laco/Works/xxxxxx/node_modules/browserslist/index.js:215:33
    at Array.reduce ()
    at resolve (/Users/laco/Works/xxxxxx/node_modules/browserslist/index.js:197:18)
    at browserslist (/Users/laco/Works/xxxxxx/node_modules/browserslist/index.js:317:16)
    at Object.isSupported (/Users/laco/Works/xxxxxx/node_modules/caniuse-api/dist/index.js:62:37)
    at isEs5SupportNeeded (/Users/laco/Works/xxxxxx/node_modules/@angular-devkit/build-angular/src/utils/differential-loading.js:22:21)
    at Object.isDifferentialLoadingNeeded (/Users/laco/Works/xxxxxx/node_modules/@angular-devkit/build-angular/src/utils/differential-loading.js:15:29)
    at generateWebpackConfig (/Users/laco/Works/xxxxxx/node_modules/@angular-devkit/build-angular/src/utils/webpack-browser-config.js:25:35)
    at process._tickCallback (internal/process/next_tick.js:68:7)
    at Function.Module.runMain (internal/modules/cjs/loader.js:832:11)
    at startup (internal/bootstrap/node.js:283:19)
    at bootstrapNodeJSCore (internal/bootstrap/node.js:622:3)

🌍 Your Environment

Angular CLI: 8.0.0
Node: 10.16.0
OS: darwin x64
Angular: 8.0.0
... animations, cli, common, compiler, compiler-cli, core
... elements, forms, language-service, platform-browser
... platform-browser-dynamic, router

Package                            Version
------------------------------------------------------------
@angular-devkit/architect          0.800.0
@angular-devkit/build-angular      0.800.0
@angular-devkit/build-ng-packagr   0.800.0
@angular-devkit/build-optimizer    0.800.0
@angular-devkit/build-webpack      0.800.0
@angular-devkit/core               8.0.0
@angular-devkit/schematics         8.0.0
@angular/cdk                       7.3.4
@ngtools/json-schema               1.1.0
@ngtools/webpack                   8.0.0
@schematics/angular                8.0.0
@schematics/update                 0.800.0
ng-packagr                         5.2.0
rxjs                               6.5.2
typescript                         3.4.5
webpack                            4.30.0

Anything else relevant?

This seems the same problem to https://stackoverflow.com/questions/55681358/browserslisterror-unknown-browser-kaios

15 Answers

βœ”οΈAccepted Answer

I had the same problem until I cleaned up a bit:

rm -fr node_modules
rm package-lock.json
npm i 

after that it worked.

Other Answers:

We have the same issue with upgrade to angular 8 and @angular-devkit/architect 0.800.0

More Issues: